[android-components](../../index.md) / [mozilla.components.support.base.log.logger](../index.md) / [Logger](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`Logger(tag: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`? = null)`

A wrapper for the Log object providing a more convenient API for logging.

### Parameters

`tag` - The tag to be used for log messages send via this logger.